# Interface GeocoderCapabilities

The capabilities of a tasks/geocoding/Geocoder!Geocoder.

interface GeocoderCapabilities {
maxResults: number;
supportsAdd: boolean;
supportsAttachmentEditing: boolean;
supportsBatch: boolean;
supportsDelete: boolean;
supportsEditing: boolean;
supportsReverse: boolean;
supportsSuggest: boolean;
supportsUpdate: boolean;
}

#### Hierarchy (view full)

- Capabilities
  - GeocoderCapabilities

#####
Index

### Properties

maxResults
supportsAdd
supportsAttachmentEditing
supportsBatch
supportsDelete
supportsEditing
supportsReverse
supportsSuggest
supportsUpdate

##
Properties

### `Readonly` maxResults

maxResults: number

The maximum number of results that can be returned from geocode operations.

### `Readonly` supportsAdd

supportsAdd: boolean

Whether creation of features is supported.

Inherited from Capabilities.supportsAdd

### `Readonly` supportsAttachmentEditing

supportsAttachmentEditing: boolean

Whether modification of attachments on features is supported.

Inherited from Capabilities.supportsAttachmentEditing

### `Readonly` supportsBatch

supportsBatch: boolean

Indicates whether the geocode operation supports the batchGeocode operation.

### `Readonly` supportsDelete

supportsDelete: boolean

Whether deleting features is supported.

Inherited from Capabilities.supportsDelete

### `Readonly` supportsEditing

supportsEditing: boolean

Whether feature editing is supported.

Inherited from Capabilities.supportsEditing

### `Readonly` supportsReverse

supportsReverse: boolean

Indicates whether the geocode operation supports the reverseGeocode operation.

### `Readonly` supportsSuggest

supportsSuggest: boolean

Indicates whether the geocode operation supports the suggest operation.

### `Readonly` supportsUpdate

supportsUpdate: boolean

Whether updating features is supported.

Inherited from Capabilities.supportsUpdate